@font-face {
  font-family: "Spectral Regular";
  src: url("../../school/fonts/Spectral-Regular-Web.woff2") format("woff2"), url("../../school/fonts/Spectral-Regular-Web.woff") format("woff"), url("../../school/fonts/Spectral-Regular-Web.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Spectral Regular Italic";
  src: url("../../school/fonts/Spectral-Regular Italic-Web.woff2") format("woff2"), url("../../school/fonts/Spectral-Regular Italic-Web.woff") format("woff"), url("../../school/fonts/Spectral-Regular Italic-Web.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Spectral SemiBold";
  src: url("../../school/fonts/Spectral-SemiBold-Web.woff2") format("woff2"), url("../../school/fonts/Spectral-SemiBold-Web.woff") format("woff"), url("../../school/fonts/Spectral-SemiBold-Web.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Proto Grotesk Light";
  src: url("../../school/fonts/Proto Grotesk-Light-Web.eot");
  src: url("../../school/fonts/Proto Grotesk-Light-Web.eot#iefix") format("embedded-opentype"), url("../../school/fonts/Proto Grotesk-Light-Web.woff2") format("woff2"), url("../../school/fonts/Proto Grotesk-Light-Web.woff") format("woff"), url("../../school/fonts/Proto Grotesk-Light-Web.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Proto Grotesk Regular";
  src: url("../../school/fonts/Proto Grotesk-Regular-Web.eot");
  src: url("../../school/fonts/Proto Grotesk-Regular-Web.eot#iefix") format("embedded-opentype"), url("../../school/fonts/Proto Grotesk-Regular-Web.woff2") format("woff2"), url("../../school/fonts/Proto Grotesk-Regular-Web.woff") format("woff"), url("../../school/fonts/Proto Grotesk-Regular-Web.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}


html, body {
  height: 100%;
}


body {
  margin: 0;
  padding: 14px 12px;
  background: #E1EAF7;
  font-family: "Proto Grotesk Light", sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 20px;
  color: black;
}
a {
  color: #22529c;
}

.tip-link {
  text-decoration: underline;
  cursor: pointer;
}

.tip-link:hover {
  color: #22529c;
}

* {
  outline: none;
  box-sizing: border-box;
}

.page {
  background: white;
  border: 1px #CCDBF0 solid;
  border-radius: 10px;
  min-height: 240px;
  max-width: 755px;
  display: flex;
  padding: 22px;
  max-height: 100%;
}

.left {
  border-right: 2px #D4D9DE solid;
  width: 32%;
  padding-right: 22px;
  overflow-y: auto;
  overflow-x: hidden;
  flex-shrink: 0;

}

.right {
  flex-grow: 1;
  padding-left: 22px;
  padding-bottom: 20px;
  overflow-y: auto;
  overflow-x: hidden;
}


.chapter-title {
  color: #F26F31;
  font-family: "Proto Grotesk Regular";
  padding: 9px;
  padding-right: 15px;
  border-bottom: 1px #F26F31 solid;
  margin-bottom: 9px;
  cursor: pointer;
  position: relative;
}

button {
  font-family: "Proto Grotesk Regular";
  background-color: rgba(242, 111, 49, 1);
  cursor: default;
  color: white;
  border: none;
  font-size: 14px;
  line-height: 130%;
  padding: 8px 16px;
  border-radius: 5px;
}

.chapter-title:after {
  position: absolute;
  content: '';
  right: -10px;
  top: calc(50% - 15px);
  width: 30px;
  height: 30px;
  background: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIHZpZXdCb3g9IjAgMCAzMCAzMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBjbGlwLXBhdGg9InVybCgjY2xpcDBfMTk2OF8zNTMpIj48cGF0aCBkPSJNMTAuNzM3MyAyMC43Mzc1TDE2LjQ2MjMgMTVMMTAuNzM3MyA5LjI2MjVMMTIuNDk5OCA3LjVMMTkuOTk5OCAxNUwxMi40OTk4IDIyLjVMMTAuNzM3MyAyMC43Mzc1WiIgZmlsbD0iI0YyNkYzMSIvPjwvZz48ZGVmcz48Y2xpcFBhdGggaWQ9ImNsaXAwXzE5NjhfMzUzIj48cmVjdCB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIGZpbGw9IndoaXRlIi8+PC9jbGlwUGF0aD48L2RlZnM+PC9zdmc+');
  transition: transform .3s ;
}

.chapter-title.expanded:after {
  transform: rotate(90deg);
}

.chapter-title.expanded + .chapter-items {
  height: fit-content;
}

.chapter-items {
  height: 0;
  transition: height .3s ease;
  interpolate-size: allow-keywords;
  overflow: hidden;
}

.chapter-item {
  font-size: 15px;
  padding: 9px;
  border-radius: 5px;
  cursor: pointer;
  transition: color .2s;
}

.chapter-item.active {
  font-family: "Proto Grotesk Regular";
  background-color: rgba(242, 111, 49, 1);
  cursor: default;
  color: white;
  pointer-events: none;
  transition: color .2s, background-color .2s;
}

  .chapter-item:hover {
  background-color: rgba(242, 111, 49, 0.2);
}

.chapter-right-title {
  font-family: "Proto Grotesk Regular";
  font-size: 20px;
  line-height: 26px;
  margin-top: 20px;
}

.chapter-descr {
  font-size: 14px;
  position: relative;
  height: fit-content;
  transition: height .3s ease;
  interpolate-size: allow-keywords;
}

.chapter-descr p {
  margin: 13px 0;
}

.chapter-descr.collapsed {
  height: 34px;
  overflow: hidden;
  cursor: pointer;
}

.chapter-descr-collapse {
  color: #F26F31;
  cursor: pointer;
  display: inline-block;
}

.chapter-descr.collapsed:before {
  position: absolute;
  content: '';
  right: 0px;
  top: 8px;
  width: 80px;
  height: 30px;
  background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 80%, rgba(255,255,255,1) 100%);
}

.chapter-descr.collapsed:after {
  position: absolute;
  content: '';
  right: -10px;
  top: 8px;
  width: 50px;
  height: 30px;
  background-image: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIHZpZXdCb3g9IjAgMCAzMCAzMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBjbGlwLXBhdGg9InVybCgjY2xpcDBfMTk2OF8zNTMpIj48cGF0aCBkPSJNMTAuNzM3MyAyMC43Mzc1TDE2LjQ2MjMgMTVMMTAuNzM3MyA5LjI2MjVMMTIuNDk5OCA3LjVMMTkuOTk5OCAxNUwxMi40OTk4IDIyLjVMMTAuNzM3MyAyMC43Mzc1WiIgZmlsbD0iI0YyNkYzMSIvPjwvZz48ZGVmcz48Y2xpcFBhdGggaWQ9ImNsaXAwXzE5NjhfMzUzIj48cmVjdCB3aWR0aD0iMzAiIGhlaWdodD0iMzAiIGZpbGw9IndoaXRlIi8+PC9jbGlwUGF0aD48L2RlZnM+PC9zdmc+');
  background-position: right center;
  background-repeat: no-repeat;
  transition: transform .3s ;
}

.chapter-descr.expanded {

}

.item {
  border-top: 1px solid #F26F31;
  padding-top: 15px;
  margin-top: 20px;
}

.item-title {
  color: #F26F31;
  font-family: "Proto Grotesk Regular";
  font-size: 16px;
}

.item-descr {
  background: rgba(225, 234, 247, 0.5);
  border-radius: 5px;
  padding: 20px;
  margin: 15px 0;
  font-size: 14px;
}

.item-descr b {
  font-family: "Proto Grotesk Regular";
}
.item-descr > div {
  margin-bottom: 8px;
}

.item-descr > div:last-child {
  margin-bottom: 0;
}

.prompt-contents {
  font-family: "Courier New", monospace;
  line-height: 120%;
  margin-bottom: 16px !important;
}

.prompt .outside {
  margin-bottom: 0;
}

.copied {
  padding-left: 14px;
  font-style: italic;
  display: none;
}

.prompt-contents p {
  margin: 7px 0;
}

.search-input {
  box-sizing: content-box;
  border: 1px solid #D4D9DE;
  border-radius: 5px;
  width: 162px;
  padding: 0 5px 0 33px;
  height: 34px;
  margin-bottom: 20px;
  font-family: "Proto Grotesk Light", sans-serif;
  font-size: 16px;
  line-height: 20px;
  background-position: 6px 50%;
  background-repeat: no-repeat;
  background-image: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjEiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAyMSAyMSIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTkuMDM4NDYgMTcuMDc2OUMxMy40MjMxIDE3LjA3NjkgMTcuMDc2OSAxMy40MjMxIDE3LjA3NjkgOS4wMzg0NkMxNy4wNzY5IDQuNjUzODUgMTMuNDIzMSAxIDkuMDM4NDYgMUM0LjY1Mzg1IDEgMSA0LjY1Mzg1IDEgOS4wMzg0NkMxIDEzLjQyMzEgNC42NTM4NSAxNy4wNzY5IDkuMDM4NDYgMTcuMDc2OVoiIHN0cm9rZT0iIzlEQTFBNiIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8cGF0aCBkPSJNMjAgMjBMMTQuODg0NiAxNC44ODQ2IiBzdHJva2U9IiM5REExQTYiIHN0cm9rZS13aWR0aD0iMS41IiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiLz4KPC9zdmc+');
}

.empty-search {
  font-size: 15px;
}

.form p {
  margin-bottom: 18px !important;
}

.form input[type=text] {
  border: 1px #B3AFAF solid;
  border-radius: 5px;
  height: 40px;
  width: 370px;
  padding: 0 10px;
  margin-bottom: 13px;
  font-family: "Proto Grotesk Light", sans-serif;
  font-size: 16px;
  line-height: 20px;
}

textarea {
  border: 1px #B3AFAF solid;
  border-radius: 5px;
  height: 100px;
  width: 370px;
  padding: 10px;
  margin-bottom: 13px;
  font-family: "Proto Grotesk Light", sans-serif;
  font-size: 16px;
  line-height: 20px;
}

input[type=submit] {
  width: 175px;
  height: 34px;
  background: #F26F31;
  color: white;
  border-radius: 5px;
  border: 0 none;
  cursor: pointer;
}